Bug 369381 - Review Request: glade3 - User Interface Designer for GTK+ and GNOME
Review Request: glade3 - User Interface Designer for GTK+ and GNOME
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
: 177747 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-07 01:07 EST by Debarshi Ray
Modified: 2007-11-30 17:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 16:28:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Final requires & provides. (2.70 KB, text/plain)
2007-11-26 02:36 EST, Tim Lauridsen
no flags Details

  None (edit)
Description Debarshi Ray 2007-11-07 01:07:41 EST
Spec URL: http://rishi.fedorapeople.org/glade3.spec
SRPM URL: http://rishi.fedorapeople.org/glade3-3.4.0-1.fc8.src.rpm

Description:

Glade is a RAD tool to enable quick and easy development of user interfaces for
the GTK+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are saved as XML, which can be used in
numerous programming languages including C, C++, Java, Perl, Python, C#, Pike,
Ruby, Haskell, Objective Caml and Scheme. Adding support for other languages
is easy too.

Glade-3 is meant for GTK+ 2.8 or newer.
Comment 1 Debarshi Ray 2007-11-07 01:09:09 EST
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=228611
Comment 2 Debarshi Ray 2007-11-07 01:10:47 EST
*** Bug 177747 has been marked as a duplicate of this bug. ***
Comment 3 Tim Lauridsen 2007-11-07 07:35:45 EST
rpath error on a x86_64 system.

$ rpmbuild --rebuild glade3-3.4.0-1.fc8.src.rpm 
<snip>
ERROR   0001: file '/usr/lib64/glade3/modules/libgladegnome.so' contains a
standard rpath '/usr/lib64' in [/usr/lib64]
ERROR   0001: file '/usr/lib64/glade3/modules/libgladegtk.so' contains a
standard rpath '/usr/lib64' in [/usr/lib64]
ERROR   0001: file '/usr/bin/glade-3' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
</snip>

an be fixed by adding

# remove rpath
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/glade3/modules/libgladegnome.so
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/glade3/modules/libgladegtk.so
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/glade-3

to %install

and adding

BuildRequires:  chrpath

http://fedoraproject.org/wiki/Packaging/Guidelines#head-7cea8c7aa96400a4687e843156354476434ff883



Comment 4 Debarshi Ray 2007-11-07 07:48:08 EST
(In reply to comment #3)
> rpath error on a x86_64 system.

Shall fix it. Thanks for pointing this out.

Strange I don't get it on i386 even after following all the necessary RPath
precautions.

By the way, would it not make good sense for Koji to use:
%__arch_install_post   /usr/lib/rpm/check-rpaths   /usr/lib/rpm/check-buildroot
Otherwise it would be very difficult to catch such errors which only surface on
one particular.
Comment 6 Debarshi Ray 2007-11-12 01:24:11 EST
Although Glade-3 is basically licensed under GPLv2+, some artwork in the form of
PNG files is under LGPLv2. This is explained in COPYING and the two licenses are
provided as COPYING.GPL and COPYING.LGPLv2. Thus glade3-libglade is "GPLv2+ and
LGPLv2" while the others (ie., glade3 and glade3-libgladeui-devel) are "GPLv2+".

To avoid confusion I have included COPYING, COPYING.GPL  and COPYING.LGPL in
glade3-libgladeui, which is multiply licensed, while COPYING.GPL is provided in
all the rest of the GPLv2+ sub-packages.

I hope this is correct.
Comment 7 Jakub 'Livio' Rusinek 2007-11-16 12:19:52 EST
In my opinion we should obsolete glade-2, if glade-3 supports glade-2.
If not, leave.
Comment 8 Tim Lauridsen 2007-11-16 12:38:38 EST
As far as i remember ther is some differences, so i don't think it is a good
idea to obsolete glade2, they can work perfectly together.
Comment 9 Debarshi Ray 2007-11-16 12:53:19 EST
http://glade.gnome.org/ says:
"It has a few useful new features ... and respects the same XML format as glade-2."

http://www.gnomejournal.org/article/50/glade-3-sees-the-light-of-day says:
"No pain switching tools: this new Glade tool ... is fully compatible with the
libglade format and reads Glade files generated by Glade 2 like a champ."

Or did you mean something more/else by the word "supports".

Yes, as Tim says, this glade3 package can be safely installed alongside Fedora's
glade2 package.
Comment 10 Debarshi Ray 2007-11-22 22:55:41 EST
Some more fixes.

Spec: http://rishi.fedorapeople.org/glade3.spec
SRPM: http://rishi.fedorapeople.org/glade3-3.4.0-3.fc8.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=255166

There are some "unused-direct-shlib-dependency" issues with the -libgladeui
subpackage. Most of these libraries seem to be pulled in by the configure script
since they are needed by the other sub-packages to build. /lib/libdl.so.2 is not
directly used but through /usr/lib/libgmodule-2.0.so.

$ rpmlint glade3-libgladeui
glade3-libgladeui.i386: W: unused-direct-shlib-dependency
/usr/lib/libgladeui-1.so.7.0.1 /usr/lib/libpangocairo-1.0.so.0
glade3-libgladeui.i386: W: unused-direct-shlib-dependency
/usr/lib/libgladeui-1.so.7.0.1 /usr/lib/libpango-1.0.so.0
glade3-libgladeui.i386: W: unused-direct-shlib-dependency
/usr/lib/libgladeui-1.so.7.0.1 /lib/libdl.so.2
glade3-libgladeui.i386: W: unused-direct-shlib-dependency
/usr/lib/libgladeui-1.so.7.0.1 /lib/libgthread-2.0.so.0
glade3-libgladeui.i386: W: unused-direct-shlib-dependency
/usr/lib/libgladeui-1.so.7.0.1 /lib/librt.so.1

Can we ignore these warnings?
Comment 12 Tim Lauridsen 2007-11-26 01:35:35 EST
I will review this it.

$ rpmlint glade3-3.4.0-4.fc8.src.rpm 

$ rpmlint ~/rpmbuild/RPMS/i386/glade3-3.4.0-4.fc8.i386.rpm 

$ rpmlint ~/rpmbuild/RPMS/i386/glade3-libgladeui-3.4.0-4.fc8.i386.rpm

$ rpmlint ~/rpmbuild/RPMS/i386/glade3-libgladeui-devel-3.4.0-4.fc8.i386.rpm

$ rpmlint ~/rpmbuild/RPMS/i386/glade3-debuginfo-3.4.0-4.fc8.i386.rpm

* rpmlint silent for all rpms.

b9dc4e75836462db272da5c200fd3e8d  /home/tim/rpmbuild/SOURCES/glade3-3.4.0.tar.gz
b9dc4e75836462db272da5c200fd3e8d  glade3-3.4.0.tar.gz

* source match upstream

Comment 13 Tim Lauridsen 2007-11-26 02:33:16 EST
MUST:
* package is named appropriately
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* summary and description fine
* correct buildroot
* %{?dist} is used
* license text included in package and marked with %doc
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager tag not used
* Vendor tag not used
* Distribution tag not used
* License used and not Copyright 
* Summary tag does not end in a period
* specfile is legible
* package successfully compiles and builds on at least x86
* make sure lines are <= 80 characters
* specfile written in American English
* no -doc sub-package necessary
* /sbin/ldconfig used in packages containing libraries.
* rpath is removed.
* GUI app, has .desktop file and uses desktop-file-install to install it.
* header files goes into -devel sub-package.
* *.so goes into -devel sub-package.
* devel package require the base package using a fully versioned dependency
* *.la files is deleted.
* macros used appropriately and consistently
* no %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* The spec file handles locales properly (%find_lang )
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* %defattrs present ( %defattr(-, root, root, -))
* %clean present
* %doc files do not affect runtime
Comment 14 Tim Lauridsen 2007-11-26 02:33:58 EST
SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
? package should build in mock
 - I haven't tried, but it build in koji.
Comment 15 Tim Lauridsen 2007-11-26 02:36:08 EST
Created attachment 268591 [details]
Final requires & provides.
Comment 16 Tim Lauridsen 2007-11-26 02:39:19 EST
PROBLEMS: 
MUST : Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).

Fix this and it is APPROVED.

Comment 17 Debarshi Ray 2007-11-26 02:43:34 EST
(In reply to comment #16)

> PROBLEMS: 
> MUST : Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
> directory ownership and usability).

I had kept it initially, but removed it later since gtk2-devel pulls in
pkgconfig. Should it be kept explicitly for readability, since the guidelines
say so?
Comment 18 Tim Lauridsen 2007-11-26 02:57:54 EST
(In reply to comment #17)
> (In reply to comment #16)
> 
> > PROBLEMS: 
> > MUST : Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
> > directory ownership and usability).
> 
> I had kept it initially, but removed it later since gtk2-devel pulls in
> pkgconfig. Should it be kept explicitly for readability, since the guidelines
> say so?
Yes, i think so

Comment 19 Debarshi Ray 2007-11-26 10:50:43 EST
New Package CVS Request
=======================
Package Name: glade3
Short Description: User Interface Designer for GTK+ and GNOME
Owners: rishi
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: no
Comment 20 Debarshi Ray 2007-11-26 10:56:14 EST
Spec: http://rishi.fedorapeople.org/glade3.spec
SRPM: http://rishi.fedorapeople.org/glade3-3.4.0-4.fc8.src.rpm

I have put back 'Requires: pkgconfig' for -libgladeui-devel.
Comment 21 Kevin Fenzi 2007-11-26 12:23:59 EST
cvs done.
Comment 22 Jakub 'Livio' Rusinek 2007-11-27 09:11:23 EST
Glad you packaged it :) .

Note You need to log in before you can comment on or make changes to this bug.